List Benefit Usage History
curl --request GET \
--url https://api.example.com/api/v1/ops/benefits/usage-history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/ops/benefits/usage-history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/ops/benefits/usage-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"benefitUsageHistoryId": "0197f714-4f15-7e39-9ab1-51ff61aac5ea",
"orderId": "0197a813-0fb9-7d42-9c81-50c0f6d9ae5a",
"ticketId": "0197a813-a9a6-7752-8173-d40a2a2d0ef0",
"customerId": "0197a7f6-4d36-7c0a-a7cb-54fcb33a3148",
"passengerId": "0197a814-2460-74c2-a8d7-819a6a0d6f54",
"organizationId": "0197a7f7-7291-7a43-96db-2c8580b80c5d",
"cooperativeId": "0197a800-24e6-76a2-90ed-ff0f6fba7b0c",
"originalAmount": 5000,
"discountAmount": 2500,
"finalAmount": 2500,
"status": "APPLIED",
"createdAt": "2026-07-04T13:00:00.000Z",
"updatedAt": "2026-07-04T13:00:00.000Z",
"usedAt": "2026-07-04T13:00:00.000Z",
"fareBenefitCategoryId": null,
"passengerBenefitRequestId": null,
"benefitDocumentValidationId": null,
"routeId": null,
"tripId": null,
"discountType": "PERCENTAGE",
"discountValue": 5000,
"createdBy": null,
"updatedBy": null,
"reversedAt": null
}
],
"meta": {
"limit": 10,
"page": 1,
"totalItems": 100,
"totalPages": 10
}
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Missing or invalid access token",
"statusCode": 401
}{
"message": "Insufficient permissions",
"statusCode": 403
}{
"message": "Internal Server Error",
"statusCode": 500
}Benefit
List Benefit Usage History
Lists benefit usage history.
GET
/
api
/
v1
/
ops
/
benefits
/
usage-history
List Benefit Usage History
Authorizations
bearerbearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Items per page
Example:
10
Page number
Example:
1
Fare benefit category identifier
Example:
null
Benefit usage status
Available options:
APPLIED, REVERSED Example:
"APPLIED"
Field to sort by
Available options:
usedAt, createdAt Example:
"usedAt"
Sort order
Available options:
asc, desc Example:
"desc"
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.